//
//  SteppedProgressView.swift
//  Tusker
//
//  Created by Shadowfacts on 9/7/18.
//  Copyright © 2018 Shadowfacts. All rights reserved.
//

import UIKit

@IBDesignable
class SteppedProgressView: ProgressView {
    
    @IBInspectable var steps: Int = 0
    @IBInspectable var currentStep: Int = 0 {
        didSet {
            progress = CGFloat(currentStep) / CGFloat(steps)
        }
    }
    
    required init?(coder aDecoder: NSCoder) {
        super.init(coder: aDecoder)
    }
    
    override init(frame: CGRect) {
        super.init(frame: frame)
    }
    
    func step() {
        if currentStep < steps {
            currentStep += 1
        }
    }
    
}
